Subject: Re: [p2prg] [p2p-hackers] Course material on P2P

From: Arnaud Legout <[email-masked]>
Date: Fri, 06 Jan 2012 14:16:55 +0100

Hi,

I significantly revised my slides for my course on P2P.
The most notable addition is a new part on privacy. For this reason my 
course is now entitled
"Peer-to-Peer Applications : From BitTorrent to Privacy"

The slides are still under a Creative Commons License BY-NC-SA, which
means you can reuse anything as long as you give credit and don't make 
money out of it.

You can get the latest version of the slides at this link:
http://cel.archives-ouvertes.fr/cel-00544132/en/

Comments are welcome.

Regards,
Arnaud.

On 07/12/2010 14:57, Arnaud Legout wrote:
> Hi,
>
> I have given a course on P2P for 4 years now, and I decided to release
> it publicly
> due to the lack of such a public resource.
>
> I believe this course can be of interest to a large audience: developers
> of P2P protocols
> that want to better understand how it works, researchers that want a
> comprehensive
> introduction to the field, students that are looking for a document on
> the subject, etc.
>
> This course is focused on P2P content replication with a very
> comprehensive part on BitTorrent.
> I also address some very important notions of distributed security. I
> usually give this course
> on seven lectures of 3 hours.
>
> I put the slides of my course online (with a Creative Commons license
> BY-NC-SA, which
> means you can reuse anything as long as you give credit and don't make
> money out of it).
> http://cel.archives-ouvertes.fr/cel-00544132/en/
>
> I recommend to download the PowerPoint version (PPTX), as the PDF version
> will not render the animations and the animated slides will look cluttered.
>
> Of course, comments are highly welcomed.
>
> Regards,
> Arnaud Legout.
>
> _______________________________________________
> p2p-hackers mailing list
> [email-masked]
> http://lists.zooko.com/mailman/listinfo/p2p-hackers

-- 
Arnaud Legout, Ph.D.
Research Scientist, Inria
http://planete.inria.fr/alegout/